> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Attribute Value

> Set the value of custom attributes on an employee or contractor.



## OpenAPI

````yaml openapi/zeal-api.json patch /attributes
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /attributes:
    patch:
      operationId: patch_attributes
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              properties:
                companyID:
                  type: string
                  description: ID of company
                attributes:
                  type: array
                  items:
                    properties:
                      attributeID:
                        type: string
                        description: ID of attribute
                      value:
                        type: string
                        description: Set the value of this attribute for this worker
                    type: object
                    required:
                      - attributeID
                      - value
                employeeID:
                  type: string
                contractorID:
                  type: string
              type: object
              required:
                - companyID
                - attributes
      responses:
        '200':
          description: ''
          content:
            application/json:
              examples:
                New Example:
                  summary: New Example
                  value:
                    data:
                      - companyID: 6cb3b69463ad41c986bc2b6d64d68a46
                        attributeID: 9ecd856e8b3c4337a6330dcadf2a8fc4
                        type: options
                        name: T-shirt size
                        label: T-shirt size
                        description: ''
                        options:
                          - value: S
                            name: S
                          - value: M
                            name: M
                          - value: L
                            name: L
                          - value: XL
                            name: XL
                        value: XS
                        defaultValue: ' '
                      - companyID: 6cb3b69463ad41c986bc2b6d64d68a46
                        attributeID: 694eb6b06441415088a25bd0fae84171
                        type: boolean
                        name: Acknowledge
                        label: Agree
                        description: ''
                        value: 'false'
                        defaultValue: false
                      - companyID: 6cb3b69463ad41c986bc2b6d64d68a46
                        attributeID: c3267432fa464fd8b9b79b0d53552562
                        type: string
                        name: test text
                        label: test text
                        description: ''
                        constraints:
                          minLength: 5
                          maxLength: 10
                          pattern: null
                        value: ' '
                        defaultValue: ' '
                    success: true
                    testMode: false
      security:
        - sec0: []
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````